// 视图
import { exp } from 'qrcode/lib/core/galois-field'

export const views = {
  user: 'user', // 用户
  device: 'device',  // 设备
  store: 'store',  // 店铺
  transfer: 'transfer', // 转账
  withdraw: 'withdraw', // 提现
}

// 收款账户类型
export const AccountType = {
  BANK_CARD: "1", // 银行卡
  WECHAT: "2",    // 微信
  ALI_PAY: "3",   // 支付宝
  OFFLINE_IMAGE: "4"  // 线下收款
}

export const UserType = {
  ADMIN: "1", // 管理员
  APP: "2"      // 普通用户
}

/**
 * 提现打款方式
 */
export const WithdrawType = {
  ONLINE: "1",    // 线上
  OFFLINE: "2"    // 线下
}

/**
 * 店铺审核状态
 */
export const StoreApplyStatus = {
  WAIT_AUDIT: "1", // 等待审核
  AUDIT_PASS: "2", // 审核通过
  AUDIT_FAIL: "3"  // 审核不通过
}

/**
 * API收费标准类型
 */
export const ApiPriceType = {
  YEAR: {
    type: "1",
    unit: "年"
  },
  MONTH: {
    type: "2",
    unit: "月"
  },
  COUNT: {
    type: "3",
    unit: "次"
  },
}

/**
 * 转账业务类型
 */
export const TransferBstType = {
  WITHDRAW: "1",  // 提现
}

/**
 * 转账状态
 */
export const TransferStatus = {
  WAIT_TRANSFER: "1", // 待转账
  TRANSFER_ING: "2",  // 转账中
  TRANSFER_SUCCESS: "3",  // 已转账
  TRANSFER_PART_SUCCESS: "4", // 部分成功
  TRANSFER_FAIL: "5", // 转账失败
}
